FROM python:alpine

ENV PYTHONUNBUFFERED=1 \
    ISSUER_NAME=letsencrypt \
    ISSUER_KIND=ClusterIssuer \
    CERT_CLEANUP=false \
    PATCH_SECRETNAME=true

# As the k8s Python client does not yet support k8s 1.32, the updated client has been temporarily moved to the repo.
# So the installation is currently not needed.
# RUN pip install kubernetes

COPY main.py /
COPY kubernetes /kubernetes

RUN pip install -r /kubernetes/requirements.txt

CMD python main.py
